searchData={"items":[{"type":"module","title":"DNSCluster","doc":"Simple DNS based cluster discovery.\n\nA DNS query is made every `:interval` milliseconds to discover new ips.","ref":"DNSCluster.html"},{"type":"module","title":"Default node discovery - DNSCluster","doc":"Nodes will only be joined if their node basename matches the basename of the current node.\nFor example, if `node()` is `myapp-123@fdaa:1:36c9:a7b:198:c4b1:73c6:1`, it will try to connect\nto every IP from the DNS query with `Node.connect/1`. But this will only work if the remote node\nhas the same basename, like `myapp-123@fdaa:1:36c9:a7b:198:c4b1:73c6:2`. If the remote node's\nbasename is different, the nodes will not connect.","ref":"DNSCluster.html#module-default-node-discovery"},{"type":"module","title":"Specifying remote basenames - DNSCluster","doc":"If you want to connect to nodes with different basenames, use a tuple with the basename and query.\nFor example, to connect to a node named `remote`, use `{\"remote\", \"remote-app.internal\"}`.","ref":"DNSCluster.html#module-specifying-remote-basenames"},{"type":"module","title":"Multiple queries - DNSCluster","doc":"Sometimes you might want to cluster apps with different domain names. Just pass a list of queries\nfor this. For instance: `[\"app-one.internal\", \"app-two.internal\", {\"other-basename\", \"other.internal\"}]`.\nRemember, all nodes need to share the same secret cookie to connect successfully.","ref":"DNSCluster.html#module-multiple-queries"},{"type":"module","title":"Examples - DNSCluster","doc":"To start in your supervision tree, add the child:\n\n    children = [\n      ...,\n      {DNSCluster, query: \"myapp.internal\"}\n    ]\n\nSee the `start_link/1` docs for all available options.\n\nIf you require more advanced clustering options and strategies, see the\n[libcluster](https://hexdocs.pm/libcluster) library.","ref":"DNSCluster.html#module-examples"},{"type":"function","title":"DNSCluster.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"DNSCluster.html#child_spec/1"},{"type":"function","title":"DNSCluster.start_link/1","doc":"Starts DNS based cluster discovery.","ref":"DNSCluster.html#start_link/1"},{"type":"function","title":"Options - DNSCluster.start_link/1","doc":"* `:name` - the name of the cluster. Defaults to `DNSCluster`.\n  * `:query` - the required DNS query for node discovery, for example:\n    `\"myapp.internal\"` or `[\"foo.internal\", \"bar.internal\"]`. If the basename\n    differs between nodes, a tuple of `{basename, query}` can be provided as well.\n    The value `:ignore` can be used to ignore starting the DNSCluster.\n  * `:interval` - the millisec interval between DNS queries. Defaults to `5000`.\n  * `:connect_timeout` - the millisec timeout to allow discovered nodes to connect.\n    Defaults to `10_000`.","ref":"DNSCluster.html#start_link/1-options"},{"type":"function","title":"Examples - DNSCluster.start_link/1","doc":"iex> DNSCluster.start_link(query: \"myapp.internal\")\n    {:ok, pid}\n\n    iex> DNSCluster.start_link(query: :ignore)\n    :ignore","ref":"DNSCluster.html#start_link/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}